<template>
<div class="home-faq pt-48 pb-48">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <h1 class="mb-41">F.A.Q.</h1>
      </div>
    </div>
    <div class="row">
      <div class="col-12 col-md-6" v-for="(item, index) in faq" :key="index">
        <div class="accordion" role="tablist">
          <b-card  no-body >
            <b-card-header header-tag="header" role="tab">
              <div>
                <b-button
                    class="
                      d-flex
                      align-items-center
                      justify-content-between
                      text-left
                      p-18
                    "
                    block
                    v-b-toggle="'accordion' + item.id"
                >
                  <p>{{ item.title }}</p>
                  <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect y="36" width="36" height="36" rx="6" transform="rotate(-90 0 36)" fill="white"/>
                    <path d="M12.1667 16.5L18.0001 21.5L23.8334 16.5" stroke="#0060B7" stroke-opacity="0.6" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                    <rect x="0.5" y="35.5" width="35" height="35" rx="5.5" transform="rotate(-90 0.5 35.5)" stroke="#0060B7" stroke-opacity="0.2"/>
                  </svg>



                </b-button>
              </div>
            </b-card-header>
            <b-collapse
                :id="'accordion' + item.id"
                visible
                accordion="my-accordion"
                role="tabpanel"
            >
              <b-card-body>
                <b-card-text class="text-justify">
                  {{item.description}}
                </b-card-text>
              </b-card-body>
            </b-collapse>
          </b-card>
        </div>
      </div>
    </div>

  </div>
</div>
</template>

<script>
import {mapState} from "vuex";

export default {
  name: "homeFAQ",

  data() {
    return {
      activeNames: ["1"],
    }
  },

  async fetch() {
    await this.$store.dispatch("fetchFaq");
  },

  computed: {
    ...mapState({
      faq: (state) => state.faq,
    }),
  },
}
</script>

<style scoped>

</style>
